### Method

# Gtk CellAreaContextreset

deprecated: 4.10

#### Declaration [src]

    void
    gtk_cell_area_context_reset (
      GtkCellAreaContext* context
    )

#### Description [src]

Resets any previously cached request and allocation data.

When underlying `GtkTreeModel` data changes its important to reset the context if the content size is allowed to shrink. If the content size is only allowed to grow (this is usually an option for views rendering large data stores as a measure of optimization), then only the row that changed or was inserted needs to be (re)requested with gtk_cell_area_get_preferred_width().

When the new overall size of the context requires that the allocated size changes (or whenever this allocation changes at all), the variable row sizes need to be re-requested for every row.

For instance, if the rows are displayed all with the same width from top to bottom then a change in the allocated width necessitates a recalculation of all the displayed row heights using gtk_cell_area_get_preferred_height_for_width().

Deprecated since: 4.10

This object will be removed in GTK 5